VULKAN_HPP_NAMESPACE::ImageFormatProperties Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ImageFormatProperties:
[legend]

## Public Member Functions

| operator VkImageFormatProperties const & () const
| operator VkImageFormatProperties & ()
bool | operator== (ImageFormatProperties const &rhs) const
bool | operator!= (ImageFormatProperties const &rhs) const

## Data Fields

Extent3D | maxExtent
uint32_t | maxMipLevels
uint32_t | maxArrayLayers
SampleCountFlags | sampleCounts
DeviceSize | maxResourceSize

## Detailed Description

Definition at line 26979 of file vulkan.hpp.

## Member Function Documentation

## operator VkImageFormatProperties &()

VULKAN_HPP_NAMESPACE::ImageFormatProperties::operator VkImageFormatProperties & | ( |  | ) |

inline

Definition at line 26986 of file vulkan.hpp.

{
return *reinterpret_cast<VkImageFormatProperties*>(this);
}

## operator VkImageFormatProperties const &()

VULKAN_HPP_NAMESPACE::ImageFormatProperties::operator VkImageFormatProperties const & | ( |  | ) | const

inline

Definition at line 26981 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImageFormatProperties*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImageFormatProperties::operator!= | ( | ImageFormatProperties const & | rhs | ) | const

inline

Definition at line 27000 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::ImageFormatProperties::operator== | ( | ImageFormatProperties const & | rhs | ) | const

inline

Definition at line 26991 of file vulkan.hpp.

{
return ( maxExtent == rhs.maxExtent )
&& ( maxMipLevels == rhs.maxMipLevels )
&& ( maxArrayLayers == rhs.maxArrayLayers )
&& ( sampleCounts == rhs.sampleCounts )
&& ( maxResourceSize == rhs.maxResourceSize );
}

References maxArrayLayers, maxExtent, maxMipLevels, maxResourceSize, and sampleCounts.

Referenced by operator!=().

## Field Documentation

## maxArrayLayers

uint32_t VULKAN_HPP_NAMESPACE::ImageFormatProperties::maxArrayLayers

Definition at line 27007 of file vulkan.hpp.

Referenced by operator==().

## maxExtent

Extent3D VULKAN_HPP_NAMESPACE::ImageFormatProperties::maxExtent

Definition at line 27005 of file vulkan.hpp.

Referenced by operator==().

## maxMipLevels

uint32_t VULKAN_HPP_NAMESPACE::ImageFormatProperties::maxMipLevels

Definition at line 27006 of file vulkan.hpp.

Referenced by operator==().

## maxResourceSize

DeviceSize VULKAN_HPP_NAMESPACE::ImageFormatProperties::maxResourceSize

Definition at line 27009 of file vulkan.hpp.

Referenced by operator==().

## sampleCounts

SampleCountFlags VULKAN_HPP_NAMESPACE::ImageFormatProperties::sampleCounts

Definition at line 27008 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImageFormatProperties::maxMipLevels
uint32_t maxMipLevels
Definition: vulkan.hpp:27006
VkImageFormatProperties
Definition: vulkan_core.h:1863
VULKAN_HPP_NAMESPACE::ImageFormatProperties::maxResourceSize
DeviceSize maxResourceSize
Definition: vulkan.hpp:27009
VULKAN_HPP_NAMESPACE::ImageFormatProperties::operator==
bool operator==(ImageFormatProperties const &rhs) const
Definition: vulkan.hpp:26991
VULKAN_HPP_NAMESPACE::ImageFormatProperties::sampleCounts
SampleCountFlags sampleCounts
Definition: vulkan.hpp:27008
VULKAN_HPP_NAMESPACE::ImageFormatProperties::maxExtent
Extent3D maxExtent
Definition: vulkan.hpp:27005
VULKAN_HPP_NAMESPACE::ImageFormatProperties::maxArrayLayers
uint32_t maxArrayLayers
Definition: vulkan.hpp:27007